# maya/projects/arnold/dd_sideMaskTemplate.py
import pymel.core as pm
import mtoa.utils as utils
import mtoa.ui.ae.utils as aeUtils
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

# notice the name of the class must be AE<shadername>template


class AEdd_SideMaskTemplate(ShaderAETemplate):

    def setup(self):
        # Add the shader swatch to the AE
        self.addSwatch()
        self.beginScrollLayout()

        # Add a list that allows to replace the shader for other one
        self.addCustom('message', 'AEshaderTypeNew', 'AEshaderTypeReplace')

        # Begins a "Color Section"
        self.beginLayout("Color Section", collapse=True)
        self.addControl("frontColor", label="Front Color", annotation="Front Color")
        self.addControl("rearColor", label="Rear Color", annotation="Rear Color")

        # Begins a "Swap Dissolve"
        self.beginLayout("Swap Dissolve", collapse=True)
        self.addControl("swap", label="swap", annotation="swap")
        self.addControl("cross_dissolve", label="Cross Dissolve",
                        annotation="Dissolves between front and rear colors")

        self.endLayout()

        # include/call base class/node attributes
        pm.mel.AEdependNodeTemplate(self.nodeName)

        # Add Section for the extra controls not displayed before
        self.addExtraControls()
        self.endScrollLayout()
